Bug 198253 - squid: don't chgrp another pkg's files/directory:
squid: don't chgrp another pkg's files/directory:
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: Patch
Depends On: 198251
  Show dependency treegraph
Reported: 2006-07-10 12:27 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-04 08:09:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
An expected changes for the spec file (463 bytes, patch)
2006-08-03 11:47 EDT, Dmitry Butskoy
no flags Details | Diff

  None (edit)
Description Rex Dieter 2006-07-10 12:27:07 EDT
squid currently contains the scriptlet:
%triggerin -- samba-common
chgrp squid /var/cache/samba/winbindd_privileged > /dev/null 2>& 1 || true

I can understand the idea behind it, but it is way wrong to be changing (another
pkg's!) file/dir ownership this way.

I've outlined a proposal to avoid the need for such hackery, in bug #198251 ,
samba: make /var/cache/samba/windind_privledged group owned/writable.  Once
implemented in samba packaging, the same thing can be accomplished here by
instead by making the squid user (and/or group) be a member of the "samba" group.
Comment 1 Dmitry Butskoy 2006-08-03 11:47:10 EDT
Created attachment 133562 [details]
An expected changes for the spec file

It also tries to fallback to the current "ugly" way if group"winbind" still not
Comment 2 Dmitry Butskoy 2006-08-03 11:48:30 EDT
It would be better to implement this before FC6 time...
Comment 3 Martin Stransky 2006-08-04 08:09:22 EDT
fixed in rawhide...

Note You need to log in before you can comment on or make changes to this bug.